Subject: Re: bug#13366: 24.3.50; emacs 24 slow-down
From: Stefan Monnier <[email-masked]>
To: "T.V. Raman" <[email-masked]>
Cc: [email-masked]
Date: Sat, 16 Feb 2013 23:19:25 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

> With the emacs 24.3.50 built from head,  I reactivated the pieces
> of code that  caused the emacspea,/emacs combo to slow down in
> the past -- (calls to ad-deactivate and ad-activate -- and the
> advice to protect errors within font-lock-default-fontify-region.

> I'm happy to report that there is no slow down, profiler report
> with relevant portions expanded appended below.  Note that the
> problem from the past eof the advice cache getting blown away and
> computed at each call isn't showing up any more.

Great, thank you.  So we can close this bug.
Also IIUC this means that there are no remaining known problems w.r.t
Emacspeak's interaction with the new advice code.  Thanks for playing
the guinea pig,

        Stefan